summaryrefslogtreecommitdiff
path: root/qa/841
diff options
context:
space:
mode:
Diffstat (limited to 'qa/841')
-rwxr-xr-xqa/84164
1 files changed, 64 insertions, 0 deletions
diff --git a/qa/841 b/qa/841
new file mode 100755
index 0000000..02e2c64
--- /dev/null
+++ b/qa/841
@@ -0,0 +1,64 @@
+#!/bin/sh
+# PCP QA Test No. 841
+# Exercise slow_python PMDA connect_pmcd() method - Python variant
+# [see also qa/763 for the Perl version]
+#
+# Copyright (c) 2014 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_cleanup()
+{
+ if pmprobe -I pmcd.agent.status | grep '"slow_python"' >/dev/null
+ then
+ cd $here/pmdas/slow_python
+ $sudo ./Remove >>$here/$seq.full 2>&1
+ cd $here
+ fi
+}
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; _cleanup; exit \$status" 0 1 2 3 15
+
+cd pmdas/slow_python
+make clean >>$here/$seq.full 2>&1
+
+# real QA test starts here
+for start in 0 4 -4
+do
+ echo | tee -a $here/$seq.full
+ case "$start"
+ in
+ 0)
+ echo "=== no start delay ===" | tee -a $here/$seq.full
+ ;;
+ -[0-9]*)
+ echo "=== start delay `expr -1 \* $start` sec, no connect_pmcd() ===" | tee -a $here/$seq.full
+ ;;
+ [0-9]*)
+ echo "=== start delay $start sec, using connect_pmcd() ===" | tee -a $here/$seq.full
+ ;;
+ esac
+ date >>$here/$seq.full
+ cat <<End-of-File | $sudo ./Install
+both
+$start
+End-of-File
+ date >>$here/$seq.full
+ pminfo -f slow_python | tee -a $here/$seq.full
+ $sudo cat $PCP_LOG_DIR/pmcd/slow_python.log >>$here/$seq.full
+ $sudo tail -40 $PCP_LOG_DIR/pmcd/pmcd.log >>$here/$seq.full
+done
+
+# success, all done
+status=0
+
+exit